petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorCancel

Clears all the monitor functions for a SNES object.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESMonitorCancel(SNES snes)

Logically Collective on SNES Many br

### Input Parameters

snes -the SNES context Many br

### Options Database Key

-snes_monitor_cancel -cancels all monitors that have been hardwired Many brinto a code by calls to SNESMonitorSet(), but does not cancel those Many brset via the options database Many br

### Notes

There is no way to clear one specific monitor from a SNES object. Many br

Many br

### Keywords

SNES, nonlinear, set, monitor

### See Also

SNESMonitorDefault(), SNESMonitorSet()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages